欢迎光临
我的个人博客网站

ubuntu 16.04 安装基于python3.5的虚拟环境virtualenv

作为这几天的总结做记录

 

环境:ubuntu 16.04

自带python 2.7 和 python3.5

 

1.安装virtualenv

注意:这里不要用sudo , 用过sudo会用系统自带的,然后没有安装

pip3 install virtualenv

 

pip3如果没有安装,用以下命令安装

sudo apt-get install python3-pip

 

#查看是否安装:  pip3 list

#查看pip3版本号: pip3 –version

 

2.安装virtualenvwrapper

这里可以用sudo

sudo pip3 install virtualenvwrapper

 

3.创建虚拟环境的目录,以后的虚拟环境都放置在该目录下

mkdir ~/.virtualenvs

 

4.配置virtualenvwrapper

vim ~/.bashrc

 # 打开文件后在文件最下方增加如下代码

  export VIRTUALENVWRAPPER_PYTHON=/usr/bin/python3

  export WORKON_HOME=$HOME/.virtualenvs

  source /usr/local/bin/virtualenvwrapper.sh

 

5.使其生效

       source ~/.bashrc

      

6.创建虚拟环境

       mkvirtualenv 虚拟环境名称

      

#创建:mkvirtualenv [虚拟环境名称]

#删除:rmvirtualenv [虚拟环境名称]

#进入:workon [虚拟环境名称]

#退出:deactivate

 

期间遇到的问题:

1.先直接用以下命令安装虚拟环境,导致虚拟环境是基于python2.7的,

       sudo apt-get install virtualenv

       sudo apt-get install virtualenvwrapper

       说明:virtualenvwrapper.sh 是安装在 /usr/share/virtualenvwrapper/virtualenvwrapper.sh

配置好~/.bashrc之后,能运行virtualenv 命令,

用以下命令删除虚拟环境,

       sudo apt-get remove virtualenv

       sudo apt-get remove virtualenvwrapper

后来再用以下命令安装虚拟环境,基于python3.5,

       sudo pip3 install virtualenv

       提示系统已有满足的virtualenv,实际上这个命令没有安装virtualenv

       sudo pip3 install virtualenvwrapper

报以下错误

       bash: /usr/share/virtualenvwrapper/virtualenvwrapper_lazy.sh: No such file or directory

包括直接打开终端也会报以上错误

解决方法:

       删除/etc/bash_completion.d/virtualenvwrapper

赞(0) 打赏
未经允许不得转载:张拓的天空 » ubuntu 16.04 安装基于python3.5的虚拟环境virtualenv
分享到: 更多 (0)

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

专业的IT技术经验分享 更专业 更方便

联系我们本站主机

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏